	subroutine ai2lim(ello,del)
c
	include '/u1/gcf/e350/crystal/cb/wenbin'
c
	include '/u1/gcf/e350/crystal/cb/beam'
c
	do 1 ibm=1,nbeam
	ave=ello+.5*del
	sigcur=resolv(ave)
	call wgtint(ave-4.*sigcur,ave+4.*sigcur,noint,val(1,ibm),
&	wgt(1,ibm))
1	continue
	return
c
	end
